UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

AR# 51081

Vivado HLS - 我有哪些许可选项?为什么我会看到@E[LIC-104] 缺少必要的功能 [VIVADO_HLS]或@E [HLS-72] 缺少必要的许可证功能?

描述


我有哪些面向 Vivado HLS 的许可选项?支持什么器件?

为什么我会看到以下错误 @E[LIC-104] 缺少必要的功能 [VIVADO_HLS]或@E [HLS-72] 缺少必要的许可证功能?

解决方案


Vivado HLS 有两种许可证:

1.HLS:综合功能可面向 Vivadao(7 系列)支持的器件。

  • 2012.2 或较新版 Vivado System Edition 或 DSP Edition 中包含了本许可证。 
  • 面向 7 系列以前的器件会出现错误信息:“@E [HLS-72] 缺少必要的许可证功能?" error. 
  • 导出支持
HLS 2012.2

IP-XACT

SysGen

Pcore

HDL

7-系列

支持

支持

不支持

支持

Zynq

不支持

不支持

支持*

支持*

Virtex-6 及更早版本

不支持

 
*更新应用于 2012.2 后支持。验证更新:执行 GUI GUI's Help -> "About Vivado HLS" ,确认 "版本" 为 2012.2.1。

2. Vivado_HLS:综合功能可面向 ISE 和 Vivado 支持的所有器件。

  • 7 系列器件 RTL 导出支持 IP-XACT、DSP 系统生成器和用于 EDK 的处理器内核等格式。 
  • 本许可证可通过 Xilinx 销售处购买。
  • 另可提供 30天的评估许可。登录 www.xilinx.com/getlicense生成评估许可。    
  • 导出支持.
 Vivado_HLS 2012.2

IP-XACT

SysGen

Pcore

HDL

7 系列

支持

支持

支持

支持

Zynq

不支持

不支持

支持

支持

Virtex-6 及更早版本

不支持

不支持

支持

支持

 
AutoESL 许可证不适用于 Vivado HLS。如果 AutoESL 许可证可用,则 Vivado HLS 会发出信息:@E [LIC-104] 缺少必要的功能[VIVADO_HLS]。
 
如果要确认您的许可证支持哪些功能(AutoESL、HLS、Vivado_HLS),启动 Xilinx 许可证配置管理器并检查功能列的情况或打开许可证文件搜索 AutoESL、HLS 或 Vivado_HLS。
 
如果在您的 Xilinx 许可账户中找不到许可证,敬请联系 Xilinx 客户服务以确认您的权利:cs_1@xilinx.com。

 
AR# 51081
日期 09/26/2012
状态 Active
Type 综合文章
Tools
  • Vivado - 2012.2
  • ??????
的页面